Public Class EntityWebConfig

    <Serializable()> _
    Public Class GetWebConfigSettingsResponse
        Inherits ProviderResults
        Implements IProviderResults

        Private m_WebConfigSettingsCollection As WebConfigSettingsCollection

        Public Property BLWebConfigSettingsCollection() As WebConfigSettingsCollection
            Get
                Return Me.m_WebConfigSettingsCollection
            End Get
            Set(ByVal value As WebConfigSettingsCollection)
                Me.m_WebConfigSettingsCollection = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class WebConfigSettingsCollection
        Private m_WebConfigSetting As List(Of WebConfigSetting)

        Public Property WebConfigSetting() As List(Of WebConfigSetting)
            Get
                Return m_WebConfigSetting
            End Get
            Set(ByVal value As List(Of WebConfigSetting))
                m_WebConfigSetting = value
            End Set
        End Property
    End Class
    <Serializable()> _
    Public Class WebConfigSetting
        Private m_id As String
        Private m_key As String
        Private m_XMLData As String

        Public Property ID() As String
            Get
                Return m_id
            End Get
            Set(ByVal value As String)
                m_id = value
            End Set
        End Property
        Public Property key() As String
            Get
                Return m_key
            End Get
            Set(ByVal value As String)
                m_key = value
            End Set
        End Property
        Public Property XMLData() As String
            Get
                Return m_XMLData
            End Get
            Set(ByVal value As String)
                m_XMLData = value
            End Set
        End Property
    End Class


End Class
